#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>

HANDLE WINAPI
CreateEvent(LPSECURITY_ATTRIBUTES lpEventAttributes, BOOL bManualReset,
	BOOL bInitialState, LPCWSTR lpName)
{
	char *name;
	HANDLE h;

	if(win_useunicode)
		return CreateEventW(lpEventAttributes, bManualReset,
			bInitialState, lpName);

	name = win_wstr2utf(lpName);
	h = CreateEventA(lpEventAttributes, bManualReset,
			bInitialState, name);
	win_free(name);
	return h;
}
